local DELAY = 1
local Now   = Game.Time
local ready = Now() + DELAY

function Update(timeElapsed)
	
	if Now() > ready then
		-- Fetch nearby prisoners
		NearbyPrisoners = this.GetNearbyObjects("Prisoner", 2)
		
		for prisoner, distance in pairs(NearbyPrisoners) do
			
			-- Check if their category is Death Row
			if prisoner.Category == "DeathRow" then
				
				-- Set their category to Max sec
				prisoner.Category = 3
				
				-- Delete the envelope
				this.Delete()
				
				return
			end
		end
		
		-- Update ready.
		ready = Now() + DELAY
	end
end

